POST api/PaymentIntentApiSaveTest

Request Information

URI Parameters

None.

Body Parameters

PaymentIntentSaveRequest
NameDescriptionTypeAdditional information
payment_intent

string

None.

Items

Collection of Item

None.

PaymentMethodId

string

None.

Request Formats

application/json, text/json

Sample:
{
  "payment_intent": "sample string 1",
  "Items": [
    {
      "DesignationId": 1,
      "ProjectId": 2,
      "tempProject": "sample string 3",
      "Name": "sample string 4",
      "Amount": "sample string 5",
      "count": 6,
      "Recurring": true,
      "DonationType": "sample string 8",
      "DonationTypeText": "sample string 9",
      "Comment": "sample string 10",
      "SadqaQurbaniShare": 11,
      "GoatShare": 12,
      "CowShare": 13,
      "PreferredCountry": "sample string 14",
      "PreferredCountryID": 15,
      "lastTenNights": true,
      "allThirtyDays": true,
      "DaysOfHijjah": 18,
      "DonationDuration": "sample string 19",
      "OnBehalfOf": "sample string 20",
      "Schedule": "sample string 21",
      "BeneficiaryId": "sample string 22",
      "Photo_URL": "sample string 23",
      "Beneficiary_Name": "sample string 24"
    },
    {
      "DesignationId": 1,
      "ProjectId": 2,
      "tempProject": "sample string 3",
      "Name": "sample string 4",
      "Amount": "sample string 5",
      "count": 6,
      "Recurring": true,
      "DonationType": "sample string 8",
      "DonationTypeText": "sample string 9",
      "Comment": "sample string 10",
      "SadqaQurbaniShare": 11,
      "GoatShare": 12,
      "CowShare": 13,
      "PreferredCountry": "sample string 14",
      "PreferredCountryID": 15,
      "lastTenNights": true,
      "allThirtyDays": true,
      "DaysOfHijjah": 18,
      "DonationDuration": "sample string 19",
      "OnBehalfOf": "sample string 20",
      "Schedule": "sample string 21",
      "BeneficiaryId": "sample string 22",
      "Photo_URL": "sample string 23",
      "Beneficiary_Name": "sample string 24"
    }
  ],
  "PaymentMethodId": "sample string 2"
}

application/xml, text/xml

Sample:
<PaymentIntentSaveRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/hhrd_usa_hhrdApi.Controllers">
  <Items>
    <Item>
      <Amount>sample string 5</Amount>
      <BeneficiaryId>sample string 22</BeneficiaryId>
      <Beneficiary_Name>sample string 24</Beneficiary_Name>
      <Comment>sample string 10</Comment>
      <CowShare>13</CowShare>
      <DaysOfHijjah>18</DaysOfHijjah>
      <DesignationId>1</DesignationId>
      <DonationDuration>sample string 19</DonationDuration>
      <DonationType>sample string 8</DonationType>
      <DonationTypeText>sample string 9</DonationTypeText>
      <GoatShare>12</GoatShare>
      <Name>sample string 4</Name>
      <OnBehalfOf>sample string 20</OnBehalfOf>
      <Photo_URL>sample string 23</Photo_URL>
      <PreferredCountry>sample string 14</PreferredCountry>
      <PreferredCountryID>15</PreferredCountryID>
      <ProjectId>2</ProjectId>
      <Recurring>true</Recurring>
      <SadqaQurbaniShare>11</SadqaQurbaniShare>
      <Schedule>sample string 21</Schedule>
      <allThirtyDays>true</allThirtyDays>
      <count>6</count>
      <lastTenNights>true</lastTenNights>
      <tempProject>sample string 3</tempProject>
    </Item>
    <Item>
      <Amount>sample string 5</Amount>
      <BeneficiaryId>sample string 22</BeneficiaryId>
      <Beneficiary_Name>sample string 24</Beneficiary_Name>
      <Comment>sample string 10</Comment>
      <CowShare>13</CowShare>
      <DaysOfHijjah>18</DaysOfHijjah>
      <DesignationId>1</DesignationId>
      <DonationDuration>sample string 19</DonationDuration>
      <DonationType>sample string 8</DonationType>
      <DonationTypeText>sample string 9</DonationTypeText>
      <GoatShare>12</GoatShare>
      <Name>sample string 4</Name>
      <OnBehalfOf>sample string 20</OnBehalfOf>
      <Photo_URL>sample string 23</Photo_URL>
      <PreferredCountry>sample string 14</PreferredCountry>
      <PreferredCountryID>15</PreferredCountryID>
      <ProjectId>2</ProjectId>
      <Recurring>true</Recurring>
      <SadqaQurbaniShare>11</SadqaQurbaniShare>
      <Schedule>sample string 21</Schedule>
      <allThirtyDays>true</allThirtyDays>
      <count>6</count>
      <lastTenNights>true</lastTenNights>
      <tempProject>sample string 3</tempProject>
    </Item>
  </Items>
  <PaymentMethodId>sample string 2</PaymentMethodId>
  <payment_intent>sample string 1</payment_intent>
</PaymentIntentSaveRequest>

application/x-www-form-urlencoded

Sample:

Failed to generate the sample for media type 'application/x-www-form-urlencoded'. Cannot use formatter 'JQueryMvcFormUrlEncodedFormatter' to write type 'PaymentIntentSaveRequest'.

Response Information

Resource Description

IHttpActionResult

None.

Response Formats

application/json, text/json, application/xml, text/xml

Sample:

Sample not available.